> ## Documentation Index
> Fetch the complete documentation index at: https://developers.portao3.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# /realms/{realmId}/organizations/{organizationId}/wallets/{walletId}/transfers



## OpenAPI

````yaml /api-reference/platform.openapi.json post /realms/{realmId}/organizations/{organizationId}/wallets/{walletId}/transfers
openapi: 3.0.3
info:
  title: Platform
  version: 1.0.0
  description: >-
    Portão 3 platform API. Generated by tools/openapi from code (routes +
    security) and the hand-written spec (request/response bodies). Confidence
    tiers: generated:typed=17 copied:manual=6 unknown=93.
servers:
  - url: https://api.platform.v2.portao3.com.br/
    description: production
  - url: https://api.platform.dev.3pers.com.br/
    description: development
security:
  - bearerAuth: []
tags:
  - name: Wallets
  - name: Cards
  - name: PIX
  - name: PIX Keys (DICT)
  - name: Boleto
  - name: Transfers
  - name: Batch Payments
  - name: Scheduled Payments
  - name: Transactions & Statements
  - name: Invoices
  - name: Contracts & Deals
  - name: Billing
  - name: Custom Fields
  - name: Notifications
  - name: Files
  - name: Users
  - name: Internal
paths:
  /realms/{realmId}/organizations/{organizationId}/wallets/{walletId}/transfers:
    post:
      tags:
        - Transfers
      summary: >-
        /realms/{realmId}/organizations/{organizationId}/wallets/{walletId}/transfers
      operationId: >-
        postRealmsByRealmIdOrganizationsByOrganizationIdWalletsByWalletIdTransfers
      parameters:
        - name: realmId
          in: path
          required: true
          schema:
            type: string
        - name: organizationId
          in: path
          required: true
          schema:
            type: string
        - name: walletId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                category:
                  type: string
                  enum:
                    - FLEX_NATIONAL
                    - FLEX_INTERNATIONAL
                    - FOOD
                    - GAS
                    - MOBILITY
                    - TOLL
                    - FLEX_NATIONAL_WITHOUT_WITHDRAWALS
                    - ADS
                    - SAAS
                    - HOTEL
                    - AIRLINES
                    - TRAVEL
                amount:
                  type: number
                  minimum: 1
              required:
                - category
                - amount
      responses:
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  realmId:
                    type: string
                  organizationId:
                    type: string
                  accountId:
                    type: string
                  environment:
                    type: string
                  currency:
                    type: string
                  status:
                    type: string
                    enum:
                      - CREATING
                      - ACTIVE
                      - DEACTIVATED
                  role:
                    type: string
                    enum:
                      - DEFAULT
                      - CHECKING
                  totalBalance:
                    type: number
                  additionalInfos:
                    type: object
                    properties:
                      payeeWalletName:
                        type: string
                      payeeWalletCategory:
                        type: string
                        enum:
                          - FLEX_NATIONAL
                          - FLEX_INTERNATIONAL
                          - FOOD
                          - GAS
                          - MOBILITY
                          - TOLL
                          - FLEX_NATIONAL_WITHOUT_WITHDRAWALS
                          - ADS
                          - SAAS
                          - HOTEL
                          - AIRLINES
                          - TRAVEL
                      payeeWalletType:
                        type: string
                        enum:
                          - PERSONAL
                          - ORGANIZATION
                          - SHARED
                      payerWalletName:
                        type: string
                      payerWalletCategory:
                        type: string
                        enum:
                          - FLEX_NATIONAL
                          - FLEX_INTERNATIONAL
                          - FOOD
                          - GAS
                          - MOBILITY
                          - TOLL
                          - FLEX_NATIONAL_WITHOUT_WITHDRAWALS
                          - ADS
                          - SAAS
                          - HOTEL
                          - AIRLINES
                          - TRAVEL
                      payerWalletType:
                        type: string
                        enum:
                          - PERSONAL
                          - ORGANIZATION
                          - SHARED
                    required:
                      - payeeWalletName
                      - payeeWalletCategory
                      - payeeWalletType
                      - payerWalletName
                      - payerWalletCategory
                      - payerWalletType
                  balances:
                    type: array
                    items:
                      type: object
                      properties:
                        category:
                          type: string
                          enum:
                            - FLEX_NATIONAL
                            - FLEX_INTERNATIONAL
                            - FOOD
                            - GAS
                            - MOBILITY
                            - TOLL
                            - FLEX_NATIONAL_WITHOUT_WITHDRAWALS
                            - ADS
                            - SAAS
                            - HOTEL
                            - AIRLINES
                            - TRAVEL
                        amount:
                          type: number
                      required:
                        - category
                        - amount
                required:
                  - realmId
                  - organizationId
                  - accountId
                  - environment
                  - currency
                  - status
                  - role
                  - totalBalance
                  - additionalInfos
                  - balances
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````